#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(osc_punch_send, "", "");
KSYMTAB_FUNC(osc_fallocate_base, "", "");
KSYMTAB_FUNC(osc_update_next_shrink, "", "");
KSYMTAB_FUNC(osc_schedule_grant_work, "", "");
KSYMTAB_FUNC(osc_init_grant, "", "");
KSYMTAB_FUNC(osc_set_info_async, "", "");
KSYMTAB_FUNC(osc_reconnect, "", "");
KSYMTAB_FUNC(osc_disconnect, "", "");
KSYMTAB_FUNC(osc_ldlm_resource_invalidate, "", "");
KSYMTAB_FUNC(osc_setup_common, "", "");
KSYMTAB_FUNC(osc_precleanup_common, "", "");
KSYMTAB_FUNC(osc_cleanup_common, "", "");
KSYMTAB_DATA(osc_lock_kmem, "", "");
KSYMTAB_DATA(osc_object_kmem, "", "");
KSYMTAB_DATA(osc_key, "", "");
KSYMTAB_DATA(osc_session_key, "", "");
KSYMTAB_FUNC(osc_object_init, "", "");
KSYMTAB_FUNC(osc_object_free, "", "");
KSYMTAB_FUNC(osc_lvb_print, "", "");
KSYMTAB_FUNC(osc_object_print, "", "");
KSYMTAB_FUNC(osc_attr_get, "", "");
KSYMTAB_FUNC(osc_attr_update, "", "");
KSYMTAB_FUNC(osc_object_glimpse, "", "");
KSYMTAB_FUNC(osc_object_prune, "", "");
KSYMTAB_FUNC(osc_object_invalidate, "", "");
KSYMTAB_FUNC(osc_dio_pages_init, "", "");
KSYMTAB_FUNC(osc_page_init, "", "");
KSYMTAB_FUNC(osc_lru_shrink, "", "");
KSYMTAB_FUNC(osc_lock_fini, "", "");
KSYMTAB_FUNC(osc_ldlm_glimpse_ast, "", "");
KSYMTAB_FUNC(osc_ldlm_weigh_ast, "", "");
KSYMTAB_FUNC(osc_lock_to_lockless, "", "");
KSYMTAB_FUNC(osc_lock_wake_waiters, "", "");
KSYMTAB_FUNC(osc_lock_enqueue_wait, "", "");
KSYMTAB_FUNC(osc_lock_cancel, "", "");
KSYMTAB_FUNC(osc_lock_print, "", "");
KSYMTAB_FUNC(osc_lock_set_writer, "", "");
KSYMTAB_FUNC(osc_lock_set_reader, "", "");
KSYMTAB_FUNC(osc_read_ahead_release, "", "");
KSYMTAB_FUNC(osc_io_submit, "", "");
KSYMTAB_FUNC(osc_dio_submit, "", "");
KSYMTAB_FUNC(osc_io_commit_async, "", "");
KSYMTAB_FUNC(osc_io_extent_release, "", "");
KSYMTAB_FUNC(osc_io_iter_init, "", "");
KSYMTAB_FUNC(osc_io_iter_fini, "", "");
KSYMTAB_FUNC(osc_io_rw_iter_fini, "", "");
KSYMTAB_FUNC(osc_io_fault_start, "", "");
KSYMTAB_FUNC(osc_punch_start, "", "");
KSYMTAB_FUNC(osc_io_setattr_end, "", "");
KSYMTAB_FUNC(osc_io_read_start, "", "");
KSYMTAB_FUNC(osc_io_write_start, "", "");
KSYMTAB_FUNC(osc_fsync_ost, "", "");
KSYMTAB_FUNC(osc_io_fsync_end, "", "");
KSYMTAB_FUNC(osc_io_end, "", "");
KSYMTAB_FUNC(osc_io_lseek_start, "", "");
KSYMTAB_FUNC(osc_io_lseek_end, "", "");
KSYMTAB_FUNC(osc_io_lru_reserve, "", "");
KSYMTAB_FUNC(osc_io_unplug0, "", "");
KSYMTAB_FUNC(osc_prep_async_page, "", "");
KSYMTAB_FUNC(osc_cache_truncate_start, "", "");
KSYMTAB_FUNC(osc_cache_wait_range, "", "");
KSYMTAB_FUNC(osc_cache_writeback_range, "", "");
KSYMTAB_FUNC(osc_page_gang_lookup, "", "");
KSYMTAB_FUNC(osc_discard_cb, "", "");

SYMBOL_CRC(osc_punch_send, 0x0d3b9305, "");
SYMBOL_CRC(osc_fallocate_base, 0xb461c3e5, "");
SYMBOL_CRC(osc_update_next_shrink, 0xace2181e, "");
SYMBOL_CRC(osc_schedule_grant_work, 0xed856b12, "");
SYMBOL_CRC(osc_init_grant, 0x4589f2ea, "");
SYMBOL_CRC(osc_set_info_async, 0x34dab12b, "");
SYMBOL_CRC(osc_reconnect, 0x6957a411, "");
SYMBOL_CRC(osc_disconnect, 0x47275772, "");
SYMBOL_CRC(osc_ldlm_resource_invalidate, 0x872223c7, "");
SYMBOL_CRC(osc_setup_common, 0x232a3cf6, "");
SYMBOL_CRC(osc_precleanup_common, 0x7d9250b8, "");
SYMBOL_CRC(osc_cleanup_common, 0x68147d0b, "");
SYMBOL_CRC(osc_lock_kmem, 0x855a5e08, "");
SYMBOL_CRC(osc_object_kmem, 0xa514c62a, "");
SYMBOL_CRC(osc_key, 0x600eae22, "");
SYMBOL_CRC(osc_session_key, 0x617b5826, "");
SYMBOL_CRC(osc_object_init, 0x6ddd5d06, "");
SYMBOL_CRC(osc_object_free, 0x4dabd150, "");
SYMBOL_CRC(osc_lvb_print, 0x62e57529, "");
SYMBOL_CRC(osc_object_print, 0x0454d13f, "");
SYMBOL_CRC(osc_attr_get, 0x916bb35d, "");
SYMBOL_CRC(osc_attr_update, 0x9e9836f9, "");
SYMBOL_CRC(osc_object_glimpse, 0xb320b976, "");
SYMBOL_CRC(osc_object_prune, 0x1f0cf46c, "");
SYMBOL_CRC(osc_object_invalidate, 0x4cfc5853, "");
SYMBOL_CRC(osc_dio_pages_init, 0x2ad225c5, "");
SYMBOL_CRC(osc_page_init, 0x4e3f9960, "");
SYMBOL_CRC(osc_lru_shrink, 0xb8eb8f29, "");
SYMBOL_CRC(osc_lock_fini, 0xa2e78527, "");
SYMBOL_CRC(osc_ldlm_glimpse_ast, 0xf495ef68, "");
SYMBOL_CRC(osc_ldlm_weigh_ast, 0x50080cc9, "");
SYMBOL_CRC(osc_lock_to_lockless, 0xf54879e6, "");
SYMBOL_CRC(osc_lock_wake_waiters, 0xb4f7998c, "");
SYMBOL_CRC(osc_lock_enqueue_wait, 0x3b7e5e78, "");
SYMBOL_CRC(osc_lock_cancel, 0xa2f4730a, "");
SYMBOL_CRC(osc_lock_print, 0x5002f8e6, "");
SYMBOL_CRC(osc_lock_set_writer, 0x4ba16638, "");
SYMBOL_CRC(osc_lock_set_reader, 0x35e063e5, "");
SYMBOL_CRC(osc_read_ahead_release, 0x8bc20165, "");
SYMBOL_CRC(osc_io_submit, 0xaaad9903, "");
SYMBOL_CRC(osc_dio_submit, 0xa7ebbc9f, "");
SYMBOL_CRC(osc_io_commit_async, 0xc00844a9, "");
SYMBOL_CRC(osc_io_extent_release, 0x407efee8, "");
SYMBOL_CRC(osc_io_iter_init, 0x0320e8f7, "");
SYMBOL_CRC(osc_io_iter_fini, 0x531b0ba3, "");
SYMBOL_CRC(osc_io_rw_iter_fini, 0xf50667c1, "");
SYMBOL_CRC(osc_io_fault_start, 0xf906c3ba, "");
SYMBOL_CRC(osc_punch_start, 0x278f1840, "");
SYMBOL_CRC(osc_io_setattr_end, 0x36dce707, "");
SYMBOL_CRC(osc_io_read_start, 0xbb63e9a8, "");
SYMBOL_CRC(osc_io_write_start, 0x5daa87f0, "");
SYMBOL_CRC(osc_fsync_ost, 0xc2d42c60, "");
SYMBOL_CRC(osc_io_fsync_end, 0xbe353aca, "");
SYMBOL_CRC(osc_io_end, 0xaae0e033, "");
SYMBOL_CRC(osc_io_lseek_start, 0x62eccdf7, "");
SYMBOL_CRC(osc_io_lseek_end, 0x11c5d85c, "");
SYMBOL_CRC(osc_io_lru_reserve, 0x21561823, "");
SYMBOL_CRC(osc_io_unplug0, 0xe7bf7871, "");
SYMBOL_CRC(osc_prep_async_page, 0xb77d4ba6, "");
SYMBOL_CRC(osc_cache_truncate_start, 0xcc943146, "");
SYMBOL_CRC(osc_cache_wait_range, 0x48a5bb6a, "");
SYMBOL_CRC(osc_cache_writeback_range, 0xdc2793db, "");
SYMBOL_CRC(osc_page_gang_lookup, 0xe03ab288, "");
SYMBOL_CRC(osc_discard_cb, 0x57c22c73, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b203df7, "ll_shrinker_alloc" },
	{ 0xea302bc2, "ldlm_enqueue_min" },
	{ 0x3aacc47e, "RMF_SHORT_IO" },
	{ 0xbffd4313, "RQF_OST_BRW_WRITE" },
	{ 0x2e339c3b, "ptlrpc_request_pack" },
	{ 0xfead67e8, "filp_open" },
	{ 0x742559b1, "class_unregister_type" },
	{ 0xbaaed353, "vfs_fsync_range" },
	{ 0xe9d8f080, "obd_dif_ip_fn" },
	{ 0xd31283f9, "ldlm_resource_get" },
	{ 0xa7cd6684, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4c9d8b1f, "ptlrpc_lprocfs_register_obd" },
	{ 0x2d5c4b70, "cl_object_top" },
	{ 0x95a03b1a, "RMF_OST_LADVISE_HDR" },
	{ 0x43fb543e, "__page_ref_mod_and_test" },
	{ 0xbe9fcab, "cl_object_attr_get" },
	{ 0x6c1a5c55, "conn_uuid_show" },
	{ 0x5deb3d85, "cl_page_get" },
	{ 0x42bb25c6, "obd_cksum_type_pack" },
	{ 0x1effb2ce, "llcrypt_decrypt_block" },
	{ 0xa97d5989, "param_ops_uint" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x7e949b3a, "cl_lvb2attr" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe04b7865, "lustre_set_wire_obdo" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe0efc269, "lu_buf_realloc" },
	{ 0xbe13145c, "req_capsule_server_pack" },
	{ 0xd7bc8654, "obd_timeout" },
	{ 0x36193579, "__folio_batch_release" },
	{ 0x9efc370, "folio_unlock" },
	{ 0x614b2b8, "ping_store" },
	{ 0x3f659678, "_ldlm_lock_debug" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x70a4bbce, "lprocfs_stats_header" },
	{ 0x65b45cb, "complete" },
	{ 0x46163439, "req_capsule_set_size" },
	{ 0x484254ab, "ptlrpc_lprocfs_brw" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe252849, "class_register_type" },
	{ 0xe0df270b, "cl_page_print" },
	{ 0x90e281bd, "obd_pool_put_folios_array" },
	{ 0xe7512278, "ptlrpcd_addref" },
	{ 0x1e7d5ee6, "ldebugfs_import_seq_write" },
	{ 0xf3d44370, "RQF_OST_DESTROY" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1352f07e, "cl_object_attr_lock" },
	{ 0x1eb2a65f, "RQF_OST_GETATTR" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbae643e5, "req_capsule_client_get" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7fda989d, "cfs_fail_loc" },
	{ 0x7bdacb9b, "lprocfs_oh_tally_log2" },
	{ 0xe6f0dc96, "RQF_OST_CREATE" },
	{ 0xbe2e7379, "lprocfs_state_seq_show" },
	{ 0x3d5e6098, "cfs_race_state" },
	{ 0x5891f736, "client_destroy_import" },
	{ 0xaf143c0, "cfs_crypto_hash_final" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xeec662e6, "llcrypt_encrypt_block" },
	{ 0xe643998e, "RQF_OST_SETATTR" },
	{ 0xa59b388f, "ptlrpc_check_set" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x611422b4, "ptlrpc_init_rq_pool" },
	{ 0x854bf4ae, "ptlrpc_request_free" },
	{ 0x121a3831, "ptlrpc_queue_wait" },
	{ 0x81d05fc, "ptlrpc_request_alloc_pool" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xa439a6a6, "sptlrpc_lprocfs_cliobd_attach" },
	{ 0xf9a61711, "lbug_with_loc" },
	{ 0x41e52f22, "lu_context_key_get" },
	{ 0xa06650e9, "client_import_del_conn" },
	{ 0x3febdb0, "obd_pool_get_folios_array" },
	{ 0x42b951c, "lustre_msg_set_jobinfo" },
	{ 0x69acdf38, "memcpy" },
	{ 0x239448ff, "cl_object_dirty_for_sync" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x466abe46, "ptlrpc_request_addref" },
	{ 0xc86e87b5, "cl_page_clip" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x330557ec, "libcfs_debug_msg" },
	{ 0xed4dce88, "ldlm_extent_shift_kms" },
	{ 0xc43eca42, "RQF_OST_LADVISE" },
	{ 0x2d53d440, "cl_page_list_move" },
	{ 0x1a9b76aa, "RMF_OBD_QUOTACTL" },
	{ 0xcf61bacb, "__cfs_fail_check_set" },
	{ 0x1c4696ac, "pcpu_hot" },
	{ 0xd0b4ae03, "seq_lseek" },
	{ 0x3d015b78, "ping_show" },
	{ 0x974d5222, "class_import_get" },
	{ 0x52c62150, "RMF_RCS" },
	{ 0x3701cb65, "mod_node_page_state" },
	{ 0x72890574, "cfs_crypto_hash_init" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x6b69ae8b, "__tracepoint_page_ref_mod_and_test" },
	{ 0x77a561eb, "cfs_crypto_hash_update_page" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x821c9add, "req_capsule_shrink" },
	{ 0x7a1af9cf, "max_pages_per_rpc_store" },
	{ 0xf3d3174a, "lnet_is_rdma_only_page" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x78c67f0a, "cl_req_projid_set" },
	{ 0xfeb9e729, "ll_shrinker_free" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xeafb5448, "lustre_get_wire_obdo" },
	{ 0x7e38b520, "ptlrpc_invalidate_import" },
	{ 0xbb910f06, "cl_object_attr_update" },
	{ 0xa2bcc9b, "sysfs_memparse" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91928c5, "lu_object_fini" },
	{ 0x1e3e53b0, "lprocfs_import_seq_show" },
	{ 0xc1154d4b, "ldlm_completion_ast" },
	{ 0xa44c65ab, "libcfs_setup" },
	{ 0xa3db00b1, "cl_req_attr_set" },
	{ 0x6c45b8a7, "client_obd_setup" },
	{ 0x5e6f435d, "RQF_OST_BRW_READ" },
	{ 0xb213ebe0, "RQF_MDS_FID2PATH" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef1e5783, "obd_dirty_pages" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4c190aad, "lprocfs_find_named_value" },
	{ 0x5e27cd28, "ldlm_prep_elc_req" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xa1214533, "ldlm_cancel_resource_local" },
	{ 0x7b4fc57b, "at_max" },
	{ 0xf1954817, "lu_buf_free" },
	{ 0xabd36da5, "class_modify_config" },
	{ 0xade657cc, "libcfs_next_nidstring" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x264d94ab, "lprocfs_connect_flags_seq_show" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8405145, "ptlrpc_set_import_active" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xc5f91f25, "pinger_recov_store" },
	{ 0x407384e6, "radix_tree_lookup_slot" },
	{ 0x6f5b3d76, "client_obd_cleanup" },
	{ 0xf640c78b, "cl_sync_io_note" },
	{ 0x6b712d48, "cl_page_own" },
	{ 0xb2ade486, "ptlrpc_prep_bulk_imp" },
	{ 0x9215df09, "sptlrpc_conf_client_adapt" },
	{ 0x53411557, "RMF_DLM_REP" },
	{ 0x3ce2e677, "ptlrpc_set_add_req" },
	{ 0x3a466b73, "obd_memory" },
	{ 0x74c42439, "obd_dif_crc_fn" },
	{ 0x86f7be68, "__ldlm_handle2lock" },
	{ 0x54dbd3bf, "kmem_cache_alloc" },
	{ 0xf277c125, "RQF_OST_GET_INFO_FIEMAP" },
	{ 0x3e7f8757, "radix_tree_gang_lookup" },
	{ 0x1fe6ac24, "sptlrpc_cli_unwrap_bulk_write" },
	{ 0xac798789, "RMF_OST_LADVISE" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbaaab3a7, "checksum_type_show" },
	{ 0x8f495b69, "ptlrpc_add_rqs_to_pool" },
	{ 0xaf7b1e0d, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xe0dd4ae7, "ptlrpcd_add_req" },
	{ 0xe493bfa2, "libcfs_kmem" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb94246dc, "ptlrpc_request_alloc" },
	{ 0x3158dedf, "obd_page_dif_generate_buffer" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe05e2b86, "compat_totalram_pages" },
	{ 0xe92e618c, "lprocfs_oh_sum" },
	{ 0xc12493b7, "cl_page_is_owned" },
	{ 0xf052add, "class_exp2cliimp" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x73ee221e, "cl_object_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x470dc1ec, "obdo_set_parent_fid" },
	{ 0xad01d59e, "down_write" },
	{ 0x10f34bdc, "up_write" },
	{ 0xbd83bc44, "RQF_OBD_SET_INFO" },
	{ 0x87c5a8da, "lustre_msg_get_transno" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa8ee3c41, "lustre_pack_reply" },
	{ 0x7e420517, "ll_dio_user_copy" },
	{ 0x5f34cd86, "sptlrpc_import_flush_my_ctx" },
	{ 0x1abd3258, "RMF_SETINFO_VAL" },
	{ 0x15516f06, "obd_max_dirty_pages" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x789796a1, "obd_zombie_barrier" },
	{ 0xa80190eb, "lprocfs_obd_setup" },
	{ 0x6dc535b5, "libcfs_debug_file_path" },
	{ 0xbf141f6b, "lu_cdebug_printer" },
	{ 0x9113f109, "ldlm_cli_cancel" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x1c9ca56, "lu_context_key_degister_many" },
	{ 0x6c55587b, "cl_page_slice_add" },
	{ 0x4a1b00c8, "cl_env_put" },
	{ 0x305faa38, "ptlrpc_pinger_force" },
	{ 0xf0ad9f34, "cl_object_get" },
	{ 0x51739bd0, "cfs_hash_for_each_nolock" },
	{ 0xa6e5d0e6, "ptlrpc_req_xid" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x62a4417, "cl_object_attr_unlock" },
	{ 0xabd3f043, "kmem_cache_free" },
	{ 0xd0a98057, "ldlm_lock_put" },
	{ 0x5a921311, "strncmp" },
	{ 0xda6c19db, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xa7516182, "lu_context_key_register_many" },
	{ 0x15a3e4db, "RMF_GETINFO_VAL" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa62953bc, "ldebugfs_add_symlink" },
	{ 0xfa211f4f, "cl_page_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa22e9c9f, "client_import_add_conn" },
	{ 0x730d0a1f, "ptlrpc_bulk_kiov_pin_ops" },
	{ 0x2096f5b5, "RQF_OST_SET_GRANT_INFO" },
	{ 0x3412bfbd, "cl_sync_io_wait" },
	{ 0x97ea6c1c, "lu_device_init" },
	{ 0x2c00c60d, "ptlrpc_sample_next_xid" },
	{ 0x52980153, "ldlm_lock_addref" },
	{ 0x4c781d4d, "lu_device_fini" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x17212cd, "cl_cache_decref" },
	{ 0xc1501945, "req_capsule_server_get" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8bb995d3, "lprocfs_timeouts_seq_show" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x1c8ca818, "ldlm_resource_iterate" },
	{ 0x7cee3231, "unlock_res_and_lock" },
	{ 0xa4a2d089, "RQF_OST_PUNCH" },
	{ 0x9a753e47, "ldlm_cli_enqueue" },
	{ 0xbfe462eb, "cl_io_fini" },
	{ 0xfab25167, "lustre_cfg_string" },
	{ 0x596582bf, "RMF_GETINFO_VALLEN" },
	{ 0x86547d24, "ldlm_lock_allow_match_locked" },
	{ 0x78836002, "ptlrpc_at_set_req_timeout" },
	{ 0xb07bb440, "lock_res_and_lock" },
	{ 0x7d76ae60, "client_disconnect_export" },
	{ 0xbd994d3f, "pinger_recov_show" },
	{ 0x5cd106c8, "cl_io_top" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x43d24e82, "ptlrpc_free_rq_pool" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x37ed11, "cfs_race_waitq" },
	{ 0xc9ab361c, "lu_context_key_revive_many" },
	{ 0xea5b7b72, "cl_object_glimpse" },
	{ 0x1a8886c4, "obdo_to_ioobj" },
	{ 0x3261b862, "RQF_OST_SYNC" },
	{ 0xfb578fc5, "memset" },
	{ 0xec2235ac, "RQF_OST_SEEK" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x440c2a71, "RMF_FIEMAP_VAL" },
	{ 0xae40b469, "ptlrpc_request_alloc_pack" },
	{ 0x3858fb94, "RMF_OBD_STATFS" },
	{ 0x230d20d8, "RQF_OST_FALLOCATE" },
	{ 0x993b7227, "__init_work" },
	{ 0xe13ff18c, "short_io_bytes_show" },
	{ 0xc4e6a29f, "ldlm_lock2handle" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5a8f3b05, "cl_io_slice_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7bdb452, "cl_env_percpu_get" },
	{ 0x53925533, "cl_page_discard" },
	{ 0xc60a60e1, "RQF_OST_STATFS" },
	{ 0xb382821f, "lu_object_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x12acd5af, "req_capsule_extend" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x28617078, "RMF_OBD_QUOTA_ITER" },
	{ 0x330f8477, "cl_env_get" },
	{ 0xf47f5b71, "__cfs_fail_timeout_set" },
	{ 0xece784c2, "rb_first" },
	{ 0x876c2551, "RMF_GETINFO_KEY" },
	{ 0x22e12ef6, "ptlrpc_request_set_replen" },
	{ 0x1cea03b, "lprocfs_oh_tally" },
	{ 0x63676f7d, "req_capsule_server_sized_get" },
	{ 0x54a3d98c, "cl_page_disown" },
	{ 0x2914128c, "down_read" },
	{ 0xff09cfb2, "obd_io_latency_stats_seq_show" },
	{ 0x7dfffff9, "lustre_msg_get_opc" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xa414992a, "cl_page_make_ready" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xa97d1b00, "ldlm_namespace_cleanup" },
	{ 0xd3d5eb34, "cl_page_prep" },
	{ 0x78d19fc8, "lprocfs_obd_cleanup" },
	{ 0xdaf0e5c8, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x623715ec, "checksum_type_store" },
	{ 0xb3d959a, "ptlrpc_req_put" },
	{ 0xb206aa5, "ldlm_enqueue_pack" },
	{ 0x826d3c4f, "RQF_LDLM_GL_CALLBACK" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xd6c3ebfb, "RMF_FIEMAP_KEY" },
	{ 0x3b37a9c, "lu_kmem_fini" },
	{ 0x21d72765, "cl_object_prune" },
	{ 0xc28fbaf1, "short_io_bytes_store" },
	{ 0xcf542765, "class_name2obd" },
	{ 0x20455e8b, "llcrypt_free_bounce_folio" },
	{ 0xa55dd51a, "ldlm_resource_putref" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0x33bb8b24, "sptlrpc_cli_unwrap_bulk_read" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xb9d41f8e, "lustre_msg_set_projid" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xa7e360b1, "RMF_OBD_IOOBJ" },
	{ 0x5f75e920, "cl_env_percpu_put" },
	{ 0xb730bb16, "filp_close" },
	{ 0xa5dcbaa2, "ldlm_resource_dump" },
	{ 0x1a0e30b0, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa7e16614, "lu_kmem_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd457b840, "seq_printf" },
	{ 0x8872f3d2, "RMF_SETINFO_KEY" },
	{ 0xa8857036, "xa_store" },
	{ 0x3c1285bd, "libcfs_subsystem_debug" },
	{ 0x1e0dd30f, "cl_batch_put" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4903595b, "class_search_type" },
	{ 0x44479cb8, "cl_lock_slice_add" },
	{ 0x2eb306e8, "class_import_put" },
	{ 0xfeead916, "cl_page_own_try" },
	{ 0x63a85272, "cl_io_init" },
	{ 0x3259675a, "_debug_req" },
	{ 0xb8cb6ccd, "llcrypt_has_encryption_key" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8e7ba0ef, "ldlm_lock_match_with_skip" },
	{ 0xcae6898f, "llcrypt_encrypt_pagecache_blocks" },
	{ 0x64cbb88e, "obd_io_latency_stats_clear" },
	{ 0x77302eab, "seq_puts" },
	{ 0x2c8137a7, "ptlrpc_recover_import" },
	{ 0x71f662a3, "libcfs_debug" },
	{ 0xc223065e, "node_data" },
	{ 0x8616770f, "single_release" },
	{ 0x441e7747, "cl_page_list_del" },
	{ 0x715d7c18, "lprocfs_oh_clear" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x8672cac0, "obd_ioctl_msg" },
	{ 0x1ddeaf4e, "client_connect_import" },
	{ 0xcb812196, "max_pages_per_rpc_show" },
	{ 0x6c389113, "search_itree" },
	{  0xc507f, "libcfs_debug_dumplog" },
	{ 0x28ef0ecb, "cl_sync_io_init_notify" },
	{ 0x1e8e48a4, "sptlrpc_flavor_has_bulk" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x5691738a, "req_capsule_get_size" },
	{ 0x5c5db086, "llcrypt_decrypt_pagecache_blocks" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x445a4490, "kmalloc_trace" },
	{ 0x2d745074, "cl_page_complete" },
	{ 0xd95039, "ptlrpcd_decref" },
	{ 0xed68790a, "ldlm_cli_enqueue_fini" },
	{ 0x625fd3f, "lu_context_key_quiesce_many" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x2f0e4f87, "RQF_OST_QUOTACTL" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1f692f80, "libcfs_nidstr_r" },
	{ 0xcc355a79, "single_open" },
	{ 0xa137c330, "ll_shrinker_register" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1e3c76e1, "lprocfs_server_uuid_seq_show" },
	{ 0x66784c7c, "up_read" },
	{ 0x3da9932a, "class_exp2obd" },
	{ 0x9b88f6ce, "RMF_NIOBUF_REMOTE" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeceac781, "cfs_fail_val" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c77513f, "lustre_swab_fid2path" },
	{ 0xaeeccedb, "kmalloc_caches" },
	{ 0x7057025b, "ldlm_lock_decref" },
	{ 0x79f32ad4, "kernel_write" },
	{ 0x85135801, "RMF_DLM_LVB" },
	{ 0xb512c0ea, "ldlm_error2errno" },
	{ 0x234d81b1, "ptlrpc_lprocfs_unregister_obd" },
	{ 0xa2b5bc19, "ldlm_lock_get" },
	{ 0x233790b5, "RMF_OST_BODY" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cb859fb, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x71baeb31, "module_layout" },
};

MODULE_INFO(depends, "libcfs,ptlrpc,obdclass,lnet");


MODULE_INFO(srcversion, "5FA5F81651A41C6BE3DBB92");
MODULE_INFO(rhelversion, "9.6");
